package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.annotation.SecurityParameter;
import cn.sh.stc.sict.theme.common.crypto.EncryptionUtil;
import cn.sh.stc.sict.theme.hphy.service.HpStatisticsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 黄埔医导统计
 *
 * @author gao
 * @date 2023/01/06 10:43
 */
@Api(value = "[黄浦]统计使用情况", tags = "[黄浦]统计使用情况")
@RestController
@RequestMapping("hpStatistics")
@AllArgsConstructor
@Slf4j
public class HpStatisticsController {

    private final HpStatisticsService hpStatisticsService;

    @ApiOperation("统计用户使用情况")
    @GetMapping("/usage-overview")
    public R statisticsUsage(@RequestParam("startTime") String startTime,
                             @RequestParam("endTime") String endTime) {
        log.error("统计用户使用情况：startTime = {}, token = {}", startTime, endTime);
        return new R(hpStatisticsService.getUsageOverviewStatistics(startTime, endTime));
    }

    @ApiOperation("获取公钥")
    @GetMapping("/public-key")
    public R<String> getPublicKey() {
        log.info("获取公钥");
        return new R<>(EncryptionUtil.PUBLIC_KEY);
    }

}
